net-ldap 0.12.0 - 0.12.1 dropped support of UTF-8

2016-02-02 10:48 - Vasil Kovalevsky

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: LDAP Estimated time: 0.00 hour

Target version: 4.0.0   

Resolution: Fixed   

Description

Issue #17618 (migration to net-ldap 0.12), dropped support of UTF-8, I always get Encoding::CompatibilityError ACSII-8BIT and

UTF-8 (for any language except english of cource).

And you catch this error here #21453 and fixed by adding force_encoding (maybe there was need to stop and check net-ldap).

net-ldap 0.13 fixed for this, but dropped support ruby 1.9.3 (RM 3.2 still support).

So, just info for others devs, which need to make any LDAP connections and read data.

Commit from net-ldap 0.13 https://github.com/ruby-ldap/ruby-net-ldap/commit/ecce488daed676351b561e39a2dae1147983c939

  class Net::BER::BerIdentifiedString

    def initialize args

      super

      current_encoding = encoding

      if current_encoding == Encoding::BINARY

        force_encoding('UTF-8')

        force_encoding(current_encoding) unless valid_encoding?

      end

    end

  end

 Its take my 3 hours to find error and try to fix this (not just simple force_encoding, was need general solution). Save your time.

Related issues:

Related to Redmine - Feature #6166: Support german umlauts and whitespaces in... New 2010-08-18

History

#1 - 2016-02-02 13:04 - Toshi MARUYAMA

- Tracker changed from Defect to Feature

- Target version set to 4.0.0

#2 - 2016-02-02 13:04 - Toshi MARUYAMA

- Category set to LDAP

#3 - 2016-02-12 04:51 - Toshi MARUYAMA

- Related to Feature #6166: Support german umlauts and whitespaces in login string added

#4 - 2016-08-09 09:51 - Toshi MARUYAMA

- Description updated

#5 - 2017-07-08 18:36 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

net-ldap was updated to 0.16 in r16773.
